using Entities.DTO;

namespace TechHelper.Services
{
	public interface IBaseService<T, TId>
	{
		Task<ApiResponse> GetAllAsync(QueryParameter query);
		Task<ApiResponse> GetAsync(TId id);
		Task<ApiResponse> AddAsync(T model);
		Task<ApiResponse> UpdateAsync(T model);
		Task<ApiResponse> DeleteAsync(TId id);
	}
}
